import request from '@/utils/request'

// 查询党员信息流程记录列表
export function listPartymemberflowlog(query) {
  return request({
    url: '/town/partymemberflowlog/list',
    method: 'get',
    params: query
  })
}

// 查询党员信息流程记录详细
export function getPartymemberflowlog(id) {
  return request({
    url: '/town/partymemberflowlog/' + id,
    method: 'get'
  })
}

// 新增党员信息流程记录
export function addPartymemberflowlog(data) {
  return request({
    url: '/town/partymemberflowlog',
    method: 'post',
    data: data
  })
}

// 修改党员信息流程记录
export function updatePartymemberflowlog(data) {
  return request({
    url: '/town/partymemberflowlog',
    method: 'put',
    data: data
  })
}

// 删除党员信息流程记录
export function delPartymemberflowlog(id) {
  return request({
    url: '/town/partymemberflowlog/' + id,
    method: 'delete'
  })
}
